## class fltk::CheckButton

### Class Hierarchy

    fltk::Button
       |
       +----fltk::CheckButton

### Include Files

    #include <fltk/CheckButton.h>

### Description

Buttons generate callbacks when they are clicked by the user. You control exactly when and how by changing the values for `type()` and `when()`.

The `fltk::CheckButton` subclass display the "on" state by turning on a light, rather than drawing pushed in. The shape of the "light" is initially set to fltk::DIAMOND_DOWN_BOX. The color of the light when on is controlled with `selection_color()`, which defaults to fltk::RED.``

### Methods

- fltk::CheckButton
- ~CheckButton

#### fltk::CheckButton::CheckButton(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::CheckButton` widget using the given position, size, and label string.

#### fltk::CheckButton::~CheckButton()

The destructor deletes the check button.